> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pinkfish.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# algolia

> Algolia Search

**Server path:** `/algolia` | **Type:** Application | **PCID required:** Yes

## Tools

| Tool                                                                      | Description                                      |
| ------------------------------------------------------------------------- | ------------------------------------------------ |
| [`algolia_add_api_key`](#algolia_add_api_key)                             | Create an API key                                |
| [`algolia_add_or_update_object`](#algolia_add_or_update_object)           | Add or replace a record                          |
| [`algolia_append_source`](#algolia_append_source)                         | Add a source                                     |
| [`algolia_batch`](#algolia_batch)                                         | Batch indexing operations on one index           |
| [`algolia_batch_dictionary_entries`](#algolia_batch_dictionary_entries)   | Add or delete dictionary entries                 |
| [`algolia_browse`](#algolia_browse)                                       | Browse for records                               |
| [`algolia_clear_objects`](#algolia_clear_objects)                         | Delete all records from an index                 |
| [`algolia_clear_rules`](#algolia_clear_rules)                             | Delete all rules                                 |
| [`algolia_clear_synonyms`](#algolia_clear_synonyms)                       | Delete all synonyms                              |
| [`algolia_delete_api_key`](#algolia_delete_api_key)                       | Delete an API key                                |
| [`algolia_delete_by`](#algolia_delete_by)                                 | Delete records matching a filter                 |
| [`algolia_delete_index`](#algolia_delete_index)                           | Delete an index                                  |
| [`algolia_delete_object`](#algolia_delete_object)                         | Delete a record                                  |
| [`algolia_delete_rule`](#algolia_delete_rule)                             | Delete a rule                                    |
| [`algolia_delete_source`](#algolia_delete_source)                         | Delete a source                                  |
| [`algolia_delete_synonym`](#algolia_delete_synonym)                       | Delete a synonym                                 |
| [`algolia_get_api_key`](#algolia_get_api_key)                             | Retrieve API key permissions                     |
| [`algolia_get_app_task`](#algolia_get_app_task)                           | Check application task status                    |
| [`algolia_get_dictionary_languages`](#algolia_get_dictionary_languages)   | List available languages                         |
| [`algolia_get_dictionary_settings`](#algolia_get_dictionary_settings)     | Retrieve dictionary settings                     |
| [`algolia_get_logs`](#algolia_get_logs)                                   | Retrieve log entries                             |
| [`algolia_get_object`](#algolia_get_object)                               | Retrieve a record                                |
| [`algolia_get_objects`](#algolia_get_objects)                             | Retrieve records                                 |
| [`algolia_get_rule`](#algolia_get_rule)                                   | Retrieve a rule                                  |
| [`algolia_get_settings`](#algolia_get_settings)                           | Retrieve index settings                          |
| [`algolia_get_sources`](#algolia_get_sources)                             | List allowed sources                             |
| [`algolia_get_synonym`](#algolia_get_synonym)                             | Retrieve a synonym                               |
| [`algolia_get_task`](#algolia_get_task)                                   | Check task status                                |
| [`algolia_list_api_keys`](#algolia_list_api_keys)                         | List API keys                                    |
| [`algolia_list_indices`](#algolia_list_indices)                           | List indices                                     |
| [`algolia_multiple_batch`](#algolia_multiple_batch)                       | Batch indexing operations on multiple indices    |
| [`algolia_operation_index`](#algolia_operation_index)                     | Copy or move an index                            |
| [`algolia_partial_update_object`](#algolia_partial_update_object)         | Add or update attributes                         |
| [`algolia_replace_sources`](#algolia_replace_sources)                     | Replace allowed sources                          |
| [`algolia_restore_api_key`](#algolia_restore_api_key)                     | Restore an API key                               |
| [`algolia_save_object`](#algolia_save_object)                             | Add a new record (with auto-generated object ID) |
| [`algolia_save_rule`](#algolia_save_rule)                                 | Create or replace a rule                         |
| [`algolia_save_rules`](#algolia_save_rules)                               | Create or update rules                           |
| [`algolia_save_synonym`](#algolia_save_synonym)                           | Create or replace a synonym                      |
| [`algolia_save_synonyms`](#algolia_save_synonyms)                         | Create or replace synonyms                       |
| [`algolia_search`](#algolia_search)                                       | Search multiple indices                          |
| [`algolia_search_dictionary_entries`](#algolia_search_dictionary_entries) | Search dictionary entries                        |
| [`algolia_search_for_facet_values`](#algolia_search_for_facet_values)     | Search for facet values                          |
| [`algolia_search_rules`](#algolia_search_rules)                           | Search for rules                                 |
| [`algolia_search_single_index`](#algolia_search_single_index)             | Search an index                                  |
| [`algolia_search_synonyms`](#algolia_search_synonyms)                     | Search for synonyms                              |
| [`algolia_set_dictionary_settings`](#algolia_set_dictionary_settings)     | Update dictionary settings                       |
| [`algolia_set_settings`](#algolia_set_settings)                           | Update index settings                            |
| [`algolia_update_api_key`](#algolia_update_api_key)                       | Update an API key                                |

***

## algolia\_add\_api\_key

Create an API key

**Parameters:**

| Parameter                | Type      | Required | Default | Description                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         |
| ------------------------ | --------- | -------- | ------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `acl`                    | string\[] | Yes      | —       | Permissions that determine the type of API requests this key can make. The required ACL is listed in each endpoint's reference. For more information, see [access control list](https://www.algolia.com/doc/guides/security/api-keys/#access-control-list-acl).                                                                                                                                                                                                                                                                                                                                                                                     |
| `description`            | string    | No       | —       | Description of an API key to help you identify this API key.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        |
| `indexes`                | string\[] | No       | —       | Index names or patterns that this API key can access. By default, an API key can access all indices in the same application.  You can use leading and trailing wildcard characters (`*`):  - `dev_*` matches all indices starting with "dev\_" - `*_dev` matches all indices ending with "\_dev" - `*_products_*` matches all indices containing "*products*".                                                                                                                                                                                                                                                                                      |
| `maxHitsPerQuery`        | integer   | No       | —       | Maximum number of results this API key can retrieve in one query. By default, there's no limit.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     |
| `maxQueriesPerIPPerHour` | integer   | No       | —       | Maximum number of API requests allowed per IP address or [user token](https://www.algolia.com/doc/guides/sending-events/concepts/usertoken) per hour.  If this limit is reached, the API returns an error with status code `429`. By default, there's no limit.                                                                                                                                                                                                                                                                                                                                                                                     |
| `queryParameters`        | string    | No       | —       | Query parameters to add when making API requests with this API key.  To restrict this API key to specific IP addresses, add the `restrictSources` parameter. You can only add a single source, but you can provide a range of IP addresses.  Creating an API key fails if the request is made from an IP address outside the restricted range.                                                                                                                                                                                                                                                                                                      |
| `referers`               | string\[] | No       | —       | Allowed HTTP referrers for this API key.  By default, all referrers are allowed. You can use leading and trailing wildcard characters (`*`):  - `https://algolia.com/*` allows all referrers starting with "[https://algolia.com/](https://algolia.com/)" - `*.algolia.com` allows all referrers ending with ".algolia.com" - `*algolia.com*` allows all referrers in the domain "algolia.com".  Like all HTTP headers, referrers can be spoofed. Don't rely on them to secure your data. For more information, see [HTTP referrer restrictions](https://www.algolia.com/doc/guides/security/security-best-practices/#http-referrers-restrictions). |
| `validity`               | integer   | No       | —       | Duration (in seconds) after which the API key expires. By default, API keys don't expire.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                           |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "acl": {
        "type": "array",
        "items": {
          "type": "string",
          "enum": [
            "addObject",
            "analytics",
            "browse",
            "deleteObject",
            "deleteIndex",
            "editSettings",
            "inference",
            "listIndexes",
            "logs",
            "personalization",
            "recommendation",
            "search",
            "seeUnretrievableAttributes",
            "settings",
            "usage",
            "nluWriteProject",
            "nluReadProject",
            "nluWriteEntity",
            "nluReadEntity",
            "nluWriteIntent",
            "nluReadIntent",
            "nluPrediction",
            "nluReadAnswers"
          ]
        },
        "description": "Permissions that determine the type of API requests this key can make. The required ACL is listed in each endpoint's reference. For more information, see [access control list](https://www.algolia.com/doc/guides/security/api-keys/#access-control-list-acl)."
      },
      "description": {
        "type": "string",
        "description": "Description of an API key to help you identify this API key."
      },
      "indexes": {
        "type": "array",
        "items": {
          "type": "string"
        },
        "description": "Index names or patterns that this API key can access. By default, an API key can access all indices in the same application.  You can use leading and trailing wildcard characters (`*`):  - `dev_*` matches all indices starting with \"dev_\" - `*_dev` matches all indices ending with \"_dev\" - `*_products_*` matches all indices containing \"_products_\"."
      },
      "maxHitsPerQuery": {
        "type": "integer",
        "description": "Maximum number of results this API key can retrieve in one query. By default, there's no limit."
      },
      "maxQueriesPerIPPerHour": {
        "type": "integer",
        "description": "Maximum number of API requests allowed per IP address or [user token](https://www.algolia.com/doc/guides/sending-events/concepts/usertoken) per hour.  If this limit is reached, the API returns an error with status code `429`. By default, there's no limit."
      },
      "queryParameters": {
        "type": "string",
        "description": "Query parameters to add when making API requests with this API key.  To restrict this API key to specific IP addresses, add the `restrictSources` parameter. You can only add a single source, but you can provide a range of IP addresses.  Creating an API key fails if the request is made from an IP address outside the restricted range."
      },
      "referers": {
        "type": "array",
        "items": {
          "type": "string"
        },
        "description": "Allowed HTTP referrers for this API key.  By default, all referrers are allowed. You can use leading and trailing wildcard characters (`*`):  - `https://algolia.com/*` allows all referrers starting with \"https://algolia.com/\" - `*.algolia.com` allows all referrers ending with \".algolia.com\" - `*algolia.com*` allows all referrers in the domain \"algolia.com\".  Like all HTTP headers, referrers can be spoofed. Don't rely on them to secure your data. For more information, see [HTTP referrer restrictions](https://www.algolia.com/doc/guides/security/security-best-practices/#http-referrers-restrictions)."
      },
      "validity": {
        "type": "integer",
        "description": "Duration (in seconds) after which the API key expires. By default, API keys don't expire."
      }
    },
    "required": [
      "PCID",
      "acl"
    ]
  }
  ```
</Expandable>

***

## algolia\_add\_or\_update\_object

Add or replace a record

**Parameters:**

| Parameter   | Type   | Required | Default | Description                                                                                             |
| ----------- | ------ | -------- | ------- | ------------------------------------------------------------------------------------------------------- |
| `indexName` | string | Yes      | —       | Name of the index on which to perform the operation.                                                    |
| `objectID`  | string | Yes      | —       | Unique record identifier.                                                                               |
| `body`      | object | Yes      | —       | The record. A schemaless object with attributes that are useful in the context of search and discovery. |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "indexName": {
        "type": "string",
        "description": "Name of the index on which to perform the operation."
      },
      "objectID": {
        "type": "string",
        "description": "Unique record identifier."
      },
      "body": {
        "type": "object",
        "description": "The record. A schemaless object with attributes that are useful in the context of search and discovery."
      }
    },
    "required": [
      "PCID",
      "indexName",
      "objectID",
      "body"
    ]
  }
  ```
</Expandable>

***

## algolia\_append\_source

Add a source

**Parameters:**

| Parameter     | Type   | Required | Default | Description                     |
| ------------- | ------ | -------- | ------- | ------------------------------- |
| `description` | string | No       | —       | Source description.             |
| `source`      | string | Yes      | —       | IP address range of the source. |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "description": {
        "type": "string",
        "description": "Source description."
      },
      "source": {
        "type": "string",
        "description": "IP address range of the source."
      }
    },
    "required": [
      "PCID",
      "source"
    ]
  }
  ```
</Expandable>

***

## algolia\_batch

Batch indexing operations on one index

**Parameters:**

| Parameter   | Type      | Required | Default | Description                                          |
| ----------- | --------- | -------- | ------- | ---------------------------------------------------- |
| `indexName` | string    | Yes      | —       | Name of the index on which to perform the operation. |
| `requests`  | object\[] | Yes      | —       | The requests value                                   |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "indexName": {
        "type": "string",
        "description": "Name of the index on which to perform the operation."
      },
      "requests": {
        "type": "array",
        "items": {
          "type": "object",
          "properties": {
            "action": {
              "type": "string",
              "enum": [
                "addObject",
                "updateObject",
                "partialUpdateObject",
                "partialUpdateObjectNoCreate",
                "deleteObject",
                "delete",
                "clear"
              ],
              "description": "Which indexing operation to perform:  - `addObject`: adds records to an index.    Equivalent to the \"Add a new record (with auto-generated object ID)\" operation. - `updateObject`: adds or replaces records in an index.    Equivalent to the \"Add or replace a record\" operation. - `partialUpdateObject`: adds or updates attributes within records.    Equivalent to the \"Add or update attributes\" operation with the `createIfNoExists` parameter set to true.    (If a record with the specified `objectID` doesn't exist in the specified index, this action creates adds the record to the index) - `partialUpdateObjectNoCreate`: same as `partialUpdateObject`, but with `createIfNoExists` set to false.    (A record isn't added to the index if its `objectID` doesn't exist) - `deleteObject`: delete records from an index.   Equivalent to the \"Delete a record\" operation. - `delete`. Delete an index. Equivalent to the \"Delete an index\" operation. - `clear`: delete all records from an index. Equivalent to the \"Delete all records from an index operation\"."
            },
            "body": {
              "type": "object",
              "description": "Operation arguments (varies with specified `action`)."
            }
          },
          "required": [
            "action",
            "body"
          ]
        },
        "description": "The requests value"
      }
    },
    "required": [
      "PCID",
      "indexName",
      "requests"
    ]
  }
  ```
</Expandable>

***

## algolia\_batch\_dictionary\_entries

Add or delete dictionary entries

**Parameters:**

| Parameter                        | Type      | Required | Default | Description                                                                                   |
| -------------------------------- | --------- | -------- | ------- | --------------------------------------------------------------------------------------------- |
| `dictionaryName`                 | string    | Yes      | —       | Dictionary type in which to search.                                                           |
| `clearExistingDictionaryEntries` | boolean   | No       | —       | Whether to replace all custom entries in the dictionary with the ones sent with this request. |
| `requests`                       | object\[] | Yes      | —       | List of additions and deletions to your dictionaries.                                         |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "dictionaryName": {
        "type": "string",
        "description": "Dictionary type in which to search.",
        "enum": [
          "plurals",
          "stopwords",
          "compounds"
        ]
      },
      "clearExistingDictionaryEntries": {
        "type": "boolean",
        "description": "Whether to replace all custom entries in the dictionary with the ones sent with this request."
      },
      "requests": {
        "type": "array",
        "items": {
          "type": "object",
          "properties": {
            "action": {
              "type": "string",
              "enum": [
                "addEntry",
                "deleteEntry"
              ],
              "description": "Actions to perform."
            },
            "body": {
              "type": "object",
              "description": "Dictionary entry."
            }
          },
          "required": [
            "action",
            "body"
          ]
        },
        "description": "List of additions and deletions to your dictionaries."
      }
    },
    "required": [
      "PCID",
      "dictionaryName",
      "requests"
    ]
  }
  ```
</Expandable>

***

## algolia\_browse

Browse for records

**Parameters:**

| Parameter   | Type   | Required | Default | Description                                          |
| ----------- | ------ | -------- | ------- | ---------------------------------------------------- |
| `indexName` | string | Yes      | —       | Name of the index on which to perform the operation. |
| `body`      | object | No       | —       | Request body                                         |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "indexName": {
        "type": "string",
        "description": "Name of the index on which to perform the operation."
      },
      "body": {
        "description": "Request body"
      }
    },
    "required": [
      "PCID",
      "indexName"
    ]
  }
  ```
</Expandable>

***

## algolia\_clear\_objects

Delete all records from an index

**Parameters:**

| Parameter   | Type   | Required | Default | Description                                          |
| ----------- | ------ | -------- | ------- | ---------------------------------------------------- |
| `indexName` | string | Yes      | —       | Name of the index on which to perform the operation. |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "indexName": {
        "type": "string",
        "description": "Name of the index on which to perform the operation."
      }
    },
    "required": [
      "PCID",
      "indexName"
    ]
  }
  ```
</Expandable>

***

## algolia\_clear\_rules

Delete all rules

**Parameters:**

| Parameter           | Type    | Required | Default | Description                                          |
| ------------------- | ------- | -------- | ------- | ---------------------------------------------------- |
| `indexName`         | string  | Yes      | —       | Name of the index on which to perform the operation. |
| `forwardToReplicas` | boolean | No       | —       | Whether changes are applied to replica indices.      |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "indexName": {
        "type": "string",
        "description": "Name of the index on which to perform the operation."
      },
      "forwardToReplicas": {
        "type": "boolean",
        "description": "Whether changes are applied to replica indices."
      }
    },
    "required": [
      "PCID",
      "indexName"
    ]
  }
  ```
</Expandable>

***

## algolia\_clear\_synonyms

Delete all synonyms

**Parameters:**

| Parameter           | Type    | Required | Default | Description                                          |
| ------------------- | ------- | -------- | ------- | ---------------------------------------------------- |
| `indexName`         | string  | Yes      | —       | Name of the index on which to perform the operation. |
| `forwardToReplicas` | boolean | No       | —       | Whether changes are applied to replica indices.      |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "indexName": {
        "type": "string",
        "description": "Name of the index on which to perform the operation."
      },
      "forwardToReplicas": {
        "type": "boolean",
        "description": "Whether changes are applied to replica indices."
      }
    },
    "required": [
      "PCID",
      "indexName"
    ]
  }
  ```
</Expandable>

***

## algolia\_delete\_api\_key

Delete an API key

**Parameters:**

| Parameter | Type   | Required | Default | Description |
| --------- | ------ | -------- | ------- | ----------- |
| `key`     | string | Yes      | —       | API key.    |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "key": {
        "type": "string",
        "description": "API key."
      }
    },
    "required": [
      "PCID",
      "key"
    ]
  }
  ```
</Expandable>

***

## algolia\_delete\_by

Delete records matching a filter

**Parameters:**

| Parameter           | Type      | Required | Default | Description                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            |
| ------------------- | --------- | -------- | ------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `indexName`         | string    | Yes      | —       | Name of the index on which to perform the operation.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   |
| `aroundLatLng`      | string    | No       | —       | Coordinates for the center of a circle, expressed as a comma-separated string of latitude and longitude.  Only records included within a circle around this central location are included in the results. The radius of the circle is determined by the `aroundRadius` and `minimumAroundRadius` settings. This parameter is ignored if you also specify `insidePolygon` or `insideBoundingBox`.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       |
| `aroundRadius`      | object    | No       | —       | Maximum radius for a search around a central location.  This parameter works in combination with the `aroundLatLng` and `aroundLatLngViaIP` parameters. By default, the search radius is determined automatically from the density of hits around the central location. The search radius is small if there are many hits close to the central coordinates.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            |
| `facetFilters`      | object    | No       | —       | Filter the search by facet values, so that only records with the same facet values are retrieved.  **Prefer using the `filters` parameter, which supports all filter types and combinations with boolean operators.**  - `[filter1, filter2]` is interpreted as `filter1 AND filter2`. - `[[filter1, filter2], filter3]` is interpreted as `filter1 OR filter2 AND filter3`. - `facet:-value` is interpreted as `NOT facet:value`.  While it's best to avoid attributes that start with a `-`, you can still filter them by escaping with a backslash: `facet:\-value`.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                |
| `filters`           | string    | No       | —       | Filter expression to only include items that match the filter criteria in the response.  You can use these filter expressions:  - **Numeric filters.** `&lt;facet&gt; &lt;op&gt; &lt;number&gt;`, where `&lt;op&gt;` is one of `&lt;`, `&lt;=`, `=`, `!=`, `&gt;`, `&gt;=`. - **Ranges.** `&lt;facet&gt;:&lt;lower&gt; TO &lt;upper&gt;`, where `&lt;lower&gt;` and `&lt;upper&gt;` are the lower and upper limits of the range (inclusive). - **Facet filters.** `&lt;facet&gt;:&lt;value&gt;`, where `&lt;facet&gt;` is a facet attribute (case-sensitive) and `&lt;value&gt;` a facet value. - **Tag filters.** `_tags:&lt;value&gt;` or just `&lt;value&gt;` (case-sensitive). - **Boolean filters.** `&lt;facet&gt;: true \| false`.  You can combine filters with `AND`, `OR`, and `NOT` operators with the following restrictions:  - You can only combine filters of the same type with `OR`.   **Not supported:** `facet:value OR num &gt; 3`. - You can't use `NOT` with combinations of filters.   **Not supported:** `NOT(facet:value OR facet:value)` - You can't combine conjunctions (`AND`) with `OR`.   **Not supported:** `facet:value OR (facet:value AND facet:value)`  Use quotes if the facet attribute name or facet value contains spaces, keywords (`OR`, `AND`, `NOT`), or quotes. If a facet attribute is an array, the filter matches if it matches at least one element of the array.  For more information, see [Filters](https://www.algolia.com/doc/guides/managing-results/refine-results/filtering). |
| `insideBoundingBox` | object    | No       | —       | Inside Bounding Box                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    |
| `insidePolygon`     | any\[]\[] | No       | —       | Coordinates of a polygon in which to search.  Polygons are defined by 3 to 10,000 points. Each point is represented by its latitude and longitude. Provide multiple polygons as nested arrays. For more information, see [filtering inside polygons](https://www.algolia.com/doc/guides/managing-results/refine-results/geolocation/#filtering-inside-rectangular-or-polygonal-areas). This parameter is ignored if you also specify `insideBoundingBox`.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              |
| `numericFilters`    | object    | No       | —       | Filter by numeric facets.  **Prefer using the `filters` parameter, which supports all filter types and combinations with boolean operators.**  You can use numeric comparison operators: `&lt;`, `&lt;=`, `=`, `!=`, `&gt;`, `&gt;=`. Comparisons are precise up to 3 decimals. You can also provide ranges: `facet:&lt;lower&gt; TO &lt;upper&gt;`. The range includes the lower and upper boundaries. The same combination rules apply as for `facetFilters`.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        |
| `tagFilters`        | object    | No       | —       | Filter the search by values of the special `_tags` attribute.  **Prefer using the `filters` parameter, which supports all filter types and combinations with boolean operators.**  Different from regular facets, `_tags` can only be used for filtering (including or excluding records). You won't get a facet count. The same combination and escaping rules apply as for `facetFilters`.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                           |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "indexName": {
        "type": "string",
        "description": "Name of the index on which to perform the operation."
      },
      "aroundLatLng": {
        "type": "string",
        "description": "Coordinates for the center of a circle, expressed as a comma-separated string of latitude and longitude.  Only records included within a circle around this central location are included in the results. The radius of the circle is determined by the `aroundRadius` and `minimumAroundRadius` settings. This parameter is ignored if you also specify `insidePolygon` or `insideBoundingBox`."
      },
      "aroundRadius": {
        "description": "Maximum radius for a search around a central location.  This parameter works in combination with the `aroundLatLng` and `aroundLatLngViaIP` parameters. By default, the search radius is determined automatically from the density of hits around the central location. The search radius is small if there are many hits close to the central coordinates."
      },
      "facetFilters": {
        "description": "Filter the search by facet values, so that only records with the same facet values are retrieved.  **Prefer using the `filters` parameter, which supports all filter types and combinations with boolean operators.**  - `[filter1, filter2]` is interpreted as `filter1 AND filter2`. - `[[filter1, filter2], filter3]` is interpreted as `filter1 OR filter2 AND filter3`. - `facet:-value` is interpreted as `NOT facet:value`.  While it's best to avoid attributes that start with a `-`, you can still filter them by escaping with a backslash: `facet:\\-value`."
      },
      "filters": {
        "type": "string",
        "description": "Filter expression to only include items that match the filter criteria in the response.  You can use these filter expressions:  - **Numeric filters.** `<facet> <op> <number>`, where `<op>` is one of `<`, `<=`, `=`, `!=`, `>`, `>=`. - **Ranges.** `<facet>:<lower> TO <upper>`, where `<lower>` and `<upper>` are the lower and upper limits of the range (inclusive). - **Facet filters.** `<facet>:<value>`, where `<facet>` is a facet attribute (case-sensitive) and `<value>` a facet value. - **Tag filters.** `_tags:<value>` or just `<value>` (case-sensitive). - **Boolean filters.** `<facet>: true | false`.  You can combine filters with `AND`, `OR`, and `NOT` operators with the following restrictions:  - You can only combine filters of the same type with `OR`.   **Not supported:** `facet:value OR num > 3`. - You can't use `NOT` with combinations of filters.   **Not supported:** `NOT(facet:value OR facet:value)` - You can't combine conjunctions (`AND`) with `OR`.   **Not supported:** `facet:value OR (facet:value AND facet:value)`  Use quotes if the facet attribute name or facet value contains spaces, keywords (`OR`, `AND`, `NOT`), or quotes. If a facet attribute is an array, the filter matches if it matches at least one element of the array.  For more information, see [Filters](https://www.algolia.com/doc/guides/managing-results/refine-results/filtering)."
      },
      "insideBoundingBox": {
        "description": "Inside Bounding Box"
      },
      "insidePolygon": {
        "type": "array",
        "items": {
          "type": "array"
        },
        "description": "Coordinates of a polygon in which to search.  Polygons are defined by 3 to 10,000 points. Each point is represented by its latitude and longitude. Provide multiple polygons as nested arrays. For more information, see [filtering inside polygons](https://www.algolia.com/doc/guides/managing-results/refine-results/geolocation/#filtering-inside-rectangular-or-polygonal-areas). This parameter is ignored if you also specify `insideBoundingBox`."
      },
      "numericFilters": {
        "description": "Filter by numeric facets.  **Prefer using the `filters` parameter, which supports all filter types and combinations with boolean operators.**  You can use numeric comparison operators: `<`, `<=`, `=`, `!=`, `>`, `>=`. Comparisons are precise up to 3 decimals. You can also provide ranges: `facet:<lower> TO <upper>`. The range includes the lower and upper boundaries. The same combination rules apply as for `facetFilters`."
      },
      "tagFilters": {
        "description": "Filter the search by values of the special `_tags` attribute.  **Prefer using the `filters` parameter, which supports all filter types and combinations with boolean operators.**  Different from regular facets, `_tags` can only be used for filtering (including or excluding records). You won't get a facet count. The same combination and escaping rules apply as for `facetFilters`."
      }
    },
    "required": [
      "PCID",
      "indexName"
    ]
  }
  ```
</Expandable>

***

## algolia\_delete\_index

Delete an index

**Parameters:**

| Parameter   | Type   | Required | Default | Description                                          |
| ----------- | ------ | -------- | ------- | ---------------------------------------------------- |
| `indexName` | string | Yes      | —       | Name of the index on which to perform the operation. |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "indexName": {
        "type": "string",
        "description": "Name of the index on which to perform the operation."
      }
    },
    "required": [
      "PCID",
      "indexName"
    ]
  }
  ```
</Expandable>

***

## algolia\_delete\_object

Delete a record

**Parameters:**

| Parameter   | Type   | Required | Default | Description                                          |
| ----------- | ------ | -------- | ------- | ---------------------------------------------------- |
| `indexName` | string | Yes      | —       | Name of the index on which to perform the operation. |
| `objectID`  | string | Yes      | —       | Unique record identifier.                            |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "indexName": {
        "type": "string",
        "description": "Name of the index on which to perform the operation."
      },
      "objectID": {
        "type": "string",
        "description": "Unique record identifier."
      }
    },
    "required": [
      "PCID",
      "indexName",
      "objectID"
    ]
  }
  ```
</Expandable>

***

## algolia\_delete\_rule

Delete a rule

**Parameters:**

| Parameter           | Type    | Required | Default | Description                                          |
| ------------------- | ------- | -------- | ------- | ---------------------------------------------------- |
| `indexName`         | string  | Yes      | —       | Name of the index on which to perform the operation. |
| `objectID`          | string  | Yes      | —       | Unique identifier of a rule object.                  |
| `forwardToReplicas` | boolean | No       | —       | Whether changes are applied to replica indices.      |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "indexName": {
        "type": "string",
        "description": "Name of the index on which to perform the operation."
      },
      "objectID": {
        "type": "string",
        "description": "Unique identifier of a rule object."
      },
      "forwardToReplicas": {
        "type": "boolean",
        "description": "Whether changes are applied to replica indices."
      }
    },
    "required": [
      "PCID",
      "indexName",
      "objectID"
    ]
  }
  ```
</Expandable>

***

## algolia\_delete\_source

Delete a source

**Parameters:**

| Parameter | Type   | Required | Default | Description                     |
| --------- | ------ | -------- | ------- | ------------------------------- |
| `source`  | string | Yes      | —       | IP address range of the source. |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "source": {
        "type": "string",
        "description": "IP address range of the source."
      }
    },
    "required": [
      "PCID",
      "source"
    ]
  }
  ```
</Expandable>

***

## algolia\_delete\_synonym

Delete a synonym

**Parameters:**

| Parameter           | Type    | Required | Default | Description                                          |
| ------------------- | ------- | -------- | ------- | ---------------------------------------------------- |
| `indexName`         | string  | Yes      | —       | Name of the index on which to perform the operation. |
| `objectID`          | string  | Yes      | —       | Unique identifier of a synonym object.               |
| `forwardToReplicas` | boolean | No       | —       | Whether changes are applied to replica indices.      |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "indexName": {
        "type": "string",
        "description": "Name of the index on which to perform the operation."
      },
      "objectID": {
        "type": "string",
        "description": "Unique identifier of a synonym object."
      },
      "forwardToReplicas": {
        "type": "boolean",
        "description": "Whether changes are applied to replica indices."
      }
    },
    "required": [
      "PCID",
      "indexName",
      "objectID"
    ]
  }
  ```
</Expandable>

***

## algolia\_get\_api\_key

Retrieve API key permissions

**Parameters:**

| Parameter | Type   | Required | Default | Description |
| --------- | ------ | -------- | ------- | ----------- |
| `key`     | string | Yes      | —       | API key.    |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "key": {
        "type": "string",
        "description": "API key."
      }
    },
    "required": [
      "PCID",
      "key"
    ]
  }
  ```
</Expandable>

***

## algolia\_get\_app\_task

Check application task status

**Parameters:**

| Parameter | Type    | Required | Default | Description             |
| --------- | ------- | -------- | ------- | ----------------------- |
| `taskID`  | integer | Yes      | —       | Unique task identifier. |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "taskID": {
        "type": "integer",
        "description": "Unique task identifier."
      }
    },
    "required": [
      "PCID",
      "taskID"
    ]
  }
  ```
</Expandable>

***

## algolia\_get\_dictionary\_languages

List available languages

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      }
    },
    "required": [
      "PCID"
    ]
  }
  ```
</Expandable>

***

## algolia\_get\_dictionary\_settings

Retrieve dictionary settings

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      }
    },
    "required": [
      "PCID"
    ]
  }
  ```
</Expandable>

***

## algolia\_get\_logs

Retrieve log entries

**Parameters:**

| Parameter   | Type    | Required | Default | Description                                                                                     |
| ----------- | ------- | -------- | ------- | ----------------------------------------------------------------------------------------------- |
| `offset`    | integer | No       | —       | First log entry to retrieve. The most recent entries are listed first.                          |
| `length`    | integer | No       | —       | Maximum number of entries to retrieve.                                                          |
| `indexName` | string  | No       | —       | Index for which to retrieve log entries. By default, log entries are retrieved for all indices. |
| `type`      | string  | No       | —       | Type of log entries to retrieve. By default, all log entries are retrieved.                     |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "offset": {
        "type": "integer",
        "description": "First log entry to retrieve. The most recent entries are listed first."
      },
      "length": {
        "type": "integer",
        "description": "Maximum number of entries to retrieve."
      },
      "indexName": {
        "type": "string",
        "description": "Index for which to retrieve log entries. By default, log entries are retrieved for all indices."
      },
      "type": {
        "type": "string",
        "description": "Type of log entries to retrieve. By default, all log entries are retrieved.",
        "enum": [
          "all",
          "query",
          "build",
          "error"
        ]
      }
    },
    "required": [
      "PCID"
    ]
  }
  ```
</Expandable>

***

## algolia\_get\_object

Retrieve a record

**Parameters:**

| Parameter              | Type      | Required | Default | Description                                                                                                                                                                                                                                                                                                                           |
| ---------------------- | --------- | -------- | ------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `indexName`            | string    | Yes      | —       | Name of the index on which to perform the operation.                                                                                                                                                                                                                                                                                  |
| `objectID`             | string    | Yes      | —       | Unique record identifier.                                                                                                                                                                                                                                                                                                             |
| `attributesToRetrieve` | string\[] | No       | —       | Attributes to include with the records in the response. This is useful to reduce the size of the API response. By default, all retrievable attributes are returned.  `objectID` is always retrieved.  Attributes included in `unretrievableAttributes` won't be retrieved unless the request is authenticated with the admin API key. |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "indexName": {
        "type": "string",
        "description": "Name of the index on which to perform the operation."
      },
      "objectID": {
        "type": "string",
        "description": "Unique record identifier."
      },
      "attributesToRetrieve": {
        "type": "array",
        "items": {
          "type": "string"
        },
        "description": "Attributes to include with the records in the response. This is useful to reduce the size of the API response. By default, all retrievable attributes are returned.  `objectID` is always retrieved.  Attributes included in `unretrievableAttributes` won't be retrieved unless the request is authenticated with the admin API key."
      }
    },
    "required": [
      "PCID",
      "indexName",
      "objectID"
    ]
  }
  ```
</Expandable>

***

## algolia\_get\_objects

Retrieve records

**Parameters:**

| Parameter  | Type      | Required | Default | Description        |
| ---------- | --------- | -------- | ------- | ------------------ |
| `requests` | object\[] | Yes      | —       | The requests value |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "requests": {
        "type": "array",
        "items": {
          "type": "object",
          "properties": {
            "attributesToRetrieve": {
              "type": "array",
              "items": {
                "type": "string"
              },
              "description": "Attributes to retrieve. If not specified, all retrievable attributes are returned."
            },
            "objectID": {
              "type": "string",
              "description": "Object ID for the record to retrieve."
            },
            "indexName": {
              "type": "string",
              "description": "Index from which to retrieve the records."
            }
          },
          "required": [
            "objectID",
            "indexName"
          ]
        },
        "description": "The requests value"
      }
    },
    "required": [
      "PCID",
      "requests"
    ]
  }
  ```
</Expandable>

***

## algolia\_get\_rule

Retrieve a rule

**Parameters:**

| Parameter   | Type   | Required | Default | Description                                          |
| ----------- | ------ | -------- | ------- | ---------------------------------------------------- |
| `indexName` | string | Yes      | —       | Name of the index on which to perform the operation. |
| `objectID`  | string | Yes      | —       | Unique identifier of a rule object.                  |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "indexName": {
        "type": "string",
        "description": "Name of the index on which to perform the operation."
      },
      "objectID": {
        "type": "string",
        "description": "Unique identifier of a rule object."
      }
    },
    "required": [
      "PCID",
      "indexName",
      "objectID"
    ]
  }
  ```
</Expandable>

***

## algolia\_get\_settings

Retrieve index settings

**Parameters:**

| Parameter    | Type    | Required | Default | Description                                                                                                                 |
| ------------ | ------- | -------- | ------- | --------------------------------------------------------------------------------------------------------------------------- |
| `indexName`  | string  | Yes      | —       | Name of the index on which to perform the operation.                                                                        |
| `getVersion` | integer | No       | —       | When set to 2, the endpoint will not include `synonyms` in the response. This parameter is here for backward compatibility. |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "indexName": {
        "type": "string",
        "description": "Name of the index on which to perform the operation."
      },
      "getVersion": {
        "type": "integer",
        "description": "When set to 2, the endpoint will not include `synonyms` in the response. This parameter is here for backward compatibility."
      }
    },
    "required": [
      "PCID",
      "indexName"
    ]
  }
  ```
</Expandable>

***

## algolia\_get\_sources

List allowed sources

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      }
    },
    "required": [
      "PCID"
    ]
  }
  ```
</Expandable>

***

## algolia\_get\_synonym

Retrieve a synonym

**Parameters:**

| Parameter   | Type   | Required | Default | Description                                          |
| ----------- | ------ | -------- | ------- | ---------------------------------------------------- |
| `indexName` | string | Yes      | —       | Name of the index on which to perform the operation. |
| `objectID`  | string | Yes      | —       | Unique identifier of a synonym object.               |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "indexName": {
        "type": "string",
        "description": "Name of the index on which to perform the operation."
      },
      "objectID": {
        "type": "string",
        "description": "Unique identifier of a synonym object."
      }
    },
    "required": [
      "PCID",
      "indexName",
      "objectID"
    ]
  }
  ```
</Expandable>

***

## algolia\_get\_task

Check task status

**Parameters:**

| Parameter   | Type    | Required | Default | Description                                          |
| ----------- | ------- | -------- | ------- | ---------------------------------------------------- |
| `indexName` | string  | Yes      | —       | Name of the index on which to perform the operation. |
| `taskID`    | integer | Yes      | —       | Unique task identifier.                              |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "indexName": {
        "type": "string",
        "description": "Name of the index on which to perform the operation."
      },
      "taskID": {
        "type": "integer",
        "description": "Unique task identifier."
      }
    },
    "required": [
      "PCID",
      "indexName",
      "taskID"
    ]
  }
  ```
</Expandable>

***

## algolia\_list\_api\_keys

List API keys

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      }
    },
    "required": [
      "PCID"
    ]
  }
  ```
</Expandable>

***

## algolia\_list\_indices

List indices

**Parameters:**

| Parameter     | Type    | Required | Default | Description                                                                       |
| ------------- | ------- | -------- | ------- | --------------------------------------------------------------------------------- |
| `page`        | integer | No       | —       | Requested page of the API response. If `null`, the API response is not paginated. |
| `hitsPerPage` | integer | No       | —       | Number of hits per page.                                                          |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "page": {
        "type": "integer",
        "description": "Requested page of the API response. If `null`, the API response is not paginated."
      },
      "hitsPerPage": {
        "type": "integer",
        "description": "Number of hits per page."
      }
    },
    "required": [
      "PCID"
    ]
  }
  ```
</Expandable>

***

## algolia\_multiple\_batch

Batch indexing operations on multiple indices

**Parameters:**

| Parameter  | Type      | Required | Default | Description        |
| ---------- | --------- | -------- | ------- | ------------------ |
| `requests` | object\[] | Yes      | —       | The requests value |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "requests": {
        "type": "array",
        "items": {
          "type": "object",
          "properties": {
            "action": {
              "type": "string",
              "enum": [
                "addObject",
                "updateObject",
                "partialUpdateObject",
                "partialUpdateObjectNoCreate",
                "deleteObject",
                "delete",
                "clear"
              ],
              "description": "Which indexing operation to perform:  - `addObject`: adds records to an index.    Equivalent to the \"Add a new record (with auto-generated object ID)\" operation. - `updateObject`: adds or replaces records in an index.    Equivalent to the \"Add or replace a record\" operation. - `partialUpdateObject`: adds or updates attributes within records.    Equivalent to the \"Add or update attributes\" operation with the `createIfNoExists` parameter set to true.    (If a record with the specified `objectID` doesn't exist in the specified index, this action creates adds the record to the index) - `partialUpdateObjectNoCreate`: same as `partialUpdateObject`, but with `createIfNoExists` set to false.    (A record isn't added to the index if its `objectID` doesn't exist) - `deleteObject`: delete records from an index.   Equivalent to the \"Delete a record\" operation. - `delete`. Delete an index. Equivalent to the \"Delete an index\" operation. - `clear`: delete all records from an index. Equivalent to the \"Delete all records from an index operation\"."
            },
            "body": {
              "type": "object",
              "description": "Operation arguments (varies with specified `action`)."
            },
            "indexName": {
              "type": "string",
              "description": "Index name (case-sensitive)."
            }
          },
          "required": [
            "action",
            "indexName"
          ]
        },
        "description": "The requests value"
      }
    },
    "required": [
      "PCID",
      "requests"
    ]
  }
  ```
</Expandable>

***

## algolia\_operation\_index

Copy or move an index

**Parameters:**

| Parameter     | Type      | Required | Default | Description                                                                                                                                                                                                                           |
| ------------- | --------- | -------- | ------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `indexName`   | string    | Yes      | —       | Name of the index on which to perform the operation.                                                                                                                                                                                  |
| `destination` | string    | Yes      | —       | Index name (case-sensitive).                                                                                                                                                                                                          |
| `operation`   | string    | Yes      | —       | Operation to perform on the index.                                                                                                                                                                                                    |
| `scope`       | string\[] | No       | —       | **Only for copying.**  If you specify a scope, only the selected scopes are copied. Records and the other scopes are left unchanged. If you omit the `scope` parameter, everything is copied: records, settings, synonyms, and rules. |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "indexName": {
        "type": "string",
        "description": "Name of the index on which to perform the operation."
      },
      "destination": {
        "type": "string",
        "description": "Index name (case-sensitive)."
      },
      "operation": {
        "type": "string",
        "description": "Operation to perform on the index.",
        "enum": [
          "move",
          "copy"
        ]
      },
      "scope": {
        "type": "array",
        "items": {
          "type": "string",
          "enum": [
            "settings",
            "synonyms",
            "rules"
          ]
        },
        "description": "**Only for copying.**  If you specify a scope, only the selected scopes are copied. Records and the other scopes are left unchanged. If you omit the `scope` parameter, everything is copied: records, settings, synonyms, and rules."
      }
    },
    "required": [
      "PCID",
      "indexName",
      "destination",
      "operation"
    ]
  }
  ```
</Expandable>

***

## algolia\_partial\_update\_object

Add or update attributes

**Parameters:**

| Parameter           | Type    | Required | Default | Description                                          |
| ------------------- | ------- | -------- | ------- | ---------------------------------------------------- |
| `indexName`         | string  | Yes      | —       | Name of the index on which to perform the operation. |
| `objectID`          | string  | Yes      | —       | Unique record identifier.                            |
| `createIfNotExists` | boolean | No       | —       | Whether to create a new record if it doesn't exist.  |
| `body`              | object  | Yes      | —       | Attributes with their values.                        |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "indexName": {
        "type": "string",
        "description": "Name of the index on which to perform the operation."
      },
      "objectID": {
        "type": "string",
        "description": "Unique record identifier."
      },
      "createIfNotExists": {
        "type": "boolean",
        "description": "Whether to create a new record if it doesn't exist."
      },
      "body": {
        "type": "object",
        "description": "Attributes with their values."
      }
    },
    "required": [
      "PCID",
      "indexName",
      "objectID",
      "body"
    ]
  }
  ```
</Expandable>

***

## algolia\_replace\_sources

Replace allowed sources

**Parameters:**

| Parameter | Type      | Required | Default | Description      |
| --------- | --------- | -------- | ------- | ---------------- |
| `body`    | object\[] | Yes      | —       | Allowed sources. |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "body": {
        "type": "array",
        "items": {
          "type": "object",
          "properties": {
            "source": {
              "type": "string",
              "description": "IP address range of the source."
            },
            "description": {
              "type": "string",
              "description": "Source description."
            }
          },
          "required": [
            "source"
          ]
        },
        "description": "Allowed sources."
      }
    },
    "required": [
      "PCID",
      "body"
    ]
  }
  ```
</Expandable>

***

## algolia\_restore\_api\_key

Restore an API key

**Parameters:**

| Parameter | Type   | Required | Default | Description |
| --------- | ------ | -------- | ------- | ----------- |
| `key`     | string | Yes      | —       | API key.    |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "key": {
        "type": "string",
        "description": "API key."
      }
    },
    "required": [
      "PCID",
      "key"
    ]
  }
  ```
</Expandable>

***

## algolia\_save\_object

Add a new record (with auto-generated object ID)

**Parameters:**

| Parameter   | Type   | Required | Default | Description                                                                                             |
| ----------- | ------ | -------- | ------- | ------------------------------------------------------------------------------------------------------- |
| `indexName` | string | Yes      | —       | Name of the index on which to perform the operation.                                                    |
| `body`      | object | Yes      | —       | The record. A schemaless object with attributes that are useful in the context of search and discovery. |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "indexName": {
        "type": "string",
        "description": "Name of the index on which to perform the operation."
      },
      "body": {
        "type": "object",
        "description": "The record. A schemaless object with attributes that are useful in the context of search and discovery."
      }
    },
    "required": [
      "PCID",
      "indexName",
      "body"
    ]
  }
  ```
</Expandable>

***

## algolia\_save\_rule

Create or replace a rule

**Parameters:**

| Parameter           | Type      | Required | Default | Description                                                                                                                                                                                                                                  |
| ------------------- | --------- | -------- | ------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `indexName`         | string    | Yes      | —       | Name of the index on which to perform the operation.                                                                                                                                                                                         |
| `objectID`          | string    | Yes      | —       | Unique identifier of a rule object.                                                                                                                                                                                                          |
| `forwardToReplicas` | boolean   | No       | —       | Whether changes are applied to replica indices.                                                                                                                                                                                              |
| `condition`         | object    | No       | —       | The condition value                                                                                                                                                                                                                          |
| `conditions`        | object\[] | No       | —       | Conditions that trigger a rule.  Some consequences require specific conditions or don't require any condition. For more information, see [Conditions](https://www.algolia.com/doc/guides/managing-results/rules/rules-overview/#conditions). |
| `consequence`       | object    | Yes      | —       | Effect of the rule.  For more information, see [Consequences](https://www.algolia.com/doc/guides/managing-results/rules/rules-overview/#consequences).                                                                                       |
| `description`       | string    | No       | —       | Description of the rule's purpose to help you distinguish between different rules.                                                                                                                                                           |
| `enabled`           | boolean   | No       | —       | Whether the rule is active.                                                                                                                                                                                                                  |
| `scope`             | string    | No       | —       | The scope value                                                                                                                                                                                                                              |
| `tags`              | string\[] | No       | —       | The tags value                                                                                                                                                                                                                               |
| `validity`          | object\[] | No       | —       | Time periods when the rule is active.                                                                                                                                                                                                        |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "indexName": {
        "type": "string",
        "description": "Name of the index on which to perform the operation."
      },
      "objectID": {
        "type": "string",
        "description": "Unique identifier of a rule object."
      },
      "forwardToReplicas": {
        "type": "boolean",
        "description": "Whether changes are applied to replica indices."
      },
      "condition": {
        "type": "object",
        "description": "The condition value",
        "properties": {
          "pattern": {
            "type": "string",
            "description": "Query pattern that triggers the rule.  You can use either a literal string, or a special pattern `{facet:ATTRIBUTE}`, where `ATTRIBUTE` is a facet name. The rule is triggered if the query matches the literal string or a value of the specified facet. For example, with `pattern: {facet:genre}`, the rule is triggered when users search for a genre, such as \"comedy\"."
          },
          "anchoring": {
            "type": "string",
            "description": "Which part of the search query the pattern should match:  - `startsWith`. The pattern must match the beginning of the query. - `endsWith`. The pattern must match the end of the query. - `is`. The pattern must match the query exactly. - `contains`. The pattern must match anywhere in the query.  Empty queries are only allowed as patterns with `anchoring: is`.",
            "enum": [
              "is",
              "startsWith",
              "endsWith",
              "contains"
            ]
          },
          "alternatives": {
            "type": "boolean",
            "description": "Whether the pattern should match plurals, synonyms, and typos."
          },
          "context": {
            "type": "string",
            "description": "An additional restriction that only triggers the rule, when the search has the same value as `ruleContexts` parameter. For example, if `context: mobile`, the rule is only triggered when the search request has a matching `ruleContexts: mobile`. A rule context must only contain alphanumeric characters."
          },
          "filters": {
            "type": "string",
            "description": "Filters that trigger the rule.  You can add filters using the syntax `facet:value` so that the rule is triggered, when the specific filter is selected. You can use `filters` on its own or combine it with the `pattern` parameter. You can't combine multiple filters with `OR` and you can't use numeric filters."
          }
        }
      },
      "conditions": {
        "type": "array",
        "items": {
          "type": "object",
          "properties": {
            "pattern": {
              "type": "string",
              "description": "Query pattern that triggers the rule.  You can use either a literal string, or a special pattern `{facet:ATTRIBUTE}`, where `ATTRIBUTE` is a facet name. The rule is triggered if the query matches the literal string or a value of the specified facet. For example, with `pattern: {facet:genre}`, the rule is triggered when users search for a genre, such as \"comedy\"."
            },
            "anchoring": {
              "type": "string",
              "enum": [
                "is",
                "startsWith",
                "endsWith",
                "contains"
              ],
              "description": "Which part of the search query the pattern should match:  - `startsWith`. The pattern must match the beginning of the query. - `endsWith`. The pattern must match the end of the query. - `is`. The pattern must match the query exactly. - `contains`. The pattern must match anywhere in the query.  Empty queries are only allowed as patterns with `anchoring: is`."
            },
            "alternatives": {
              "type": "boolean",
              "description": "Whether the pattern should match plurals, synonyms, and typos."
            },
            "context": {
              "type": "string",
              "description": "An additional restriction that only triggers the rule, when the search has the same value as `ruleContexts` parameter. For example, if `context: mobile`, the rule is only triggered when the search request has a matching `ruleContexts: mobile`. A rule context must only contain alphanumeric characters."
            },
            "filters": {
              "type": "string",
              "description": "Filters that trigger the rule.  You can add filters using the syntax `facet:value` so that the rule is triggered, when the specific filter is selected. You can use `filters` on its own or combine it with the `pattern` parameter. You can't combine multiple filters with `OR` and you can't use numeric filters."
            }
          }
        },
        "description": "Conditions that trigger a rule.  Some consequences require specific conditions or don't require any condition. For more information, see [Conditions](https://www.algolia.com/doc/guides/managing-results/rules/rules-overview/#conditions)."
      },
      "consequence": {
        "type": "object",
        "description": "Effect of the rule.  For more information, see [Consequences](https://www.algolia.com/doc/guides/managing-results/rules/rules-overview/#consequences).",
        "properties": {
          "params": {
            "description": "The params value"
          },
          "promote": {
            "type": "array",
            "description": "Records you want to pin to a specific position in the search results.  You can promote up to 300 records, either individually, or as groups of up to 100 records each."
          },
          "filterPromotes": {
            "type": "boolean",
            "description": "Determines whether promoted records must also match active filters for the consequence to apply.  This ensures user-applied filters take priority and irrelevant matches aren't shown. For example, if you promote a record with `color: red` but the user filters for `color: blue`, the \"red\" record won't be shown.  > In the Algolia dashboard, when you use the **Pin an item** consequence, `filterPromotes` appears as the checkbox: **Pinned items must match active filters to be displayed.** For examples, see [Promote results with rules](https://www.algolia.com/doc/guides/managing-results/rules/merchandising-and-promoting/how-to/promote-hits/#promote-results-matching-active-filters)."
          },
          "hide": {
            "type": "array",
            "items": {
              "type": "object"
            },
            "description": "Records you want to hide from the search results."
          },
          "redirect": {
            "type": "object",
            "description": "Redirect to a virtual replica index.  This consequence is only valid for rules with `scope: redirect`."
          },
          "userData": {
            "type": "object",
            "description": "A JSON object with custom data that will be appended to the `userData` array in the response. This object isn't interpreted by the API and is limited to 1&nbsp;kB of minified JSON."
          }
        }
      },
      "description": {
        "type": "string",
        "description": "Description of the rule's purpose to help you distinguish between different rules."
      },
      "enabled": {
        "type": "boolean",
        "description": "Whether the rule is active."
      },
      "scope": {
        "type": "string",
        "description": "The scope value"
      },
      "tags": {
        "type": "array",
        "items": {
          "type": "string"
        },
        "description": "The tags value"
      },
      "validity": {
        "type": "array",
        "items": {
          "type": "object",
          "properties": {
            "from": {
              "type": "integer",
              "format": "int64",
              "description": "Timestamp when the rule should start to be active, measured in seconds since the Unix epoch."
            },
            "until": {
              "type": "integer",
              "format": "int64",
              "description": "Timestamp when the rule should stop to be active, measured in seconds since the Unix epoch."
            }
          }
        },
        "description": "Time periods when the rule is active."
      }
    },
    "required": [
      "PCID",
      "indexName",
      "objectID",
      "consequence"
    ]
  }
  ```
</Expandable>

***

## algolia\_save\_rules

Create or update rules

**Parameters:**

| Parameter            | Type      | Required | Default | Description                                                        |
| -------------------- | --------- | -------- | ------- | ------------------------------------------------------------------ |
| `indexName`          | string    | Yes      | —       | Name of the index on which to perform the operation.               |
| `forwardToReplicas`  | boolean   | No       | —       | Whether changes are applied to replica indices.                    |
| `clearExistingRules` | boolean   | No       | —       | Whether existing rules should be deleted before adding this batch. |
| `body`               | object\[] | Yes      | —       | Rules to add or replace.                                           |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "indexName": {
        "type": "string",
        "description": "Name of the index on which to perform the operation."
      },
      "forwardToReplicas": {
        "type": "boolean",
        "description": "Whether changes are applied to replica indices."
      },
      "clearExistingRules": {
        "type": "boolean",
        "description": "Whether existing rules should be deleted before adding this batch."
      },
      "body": {
        "type": "array",
        "items": {
          "type": "object",
          "properties": {
            "objectID": {
              "type": "string",
              "description": "Unique identifier of a rule object."
            },
            "conditions": {
              "type": "array",
              "items": {
                "type": "object",
                "properties": {
                  "pattern": {
                    "type": "string",
                    "description": "Query pattern that triggers the rule.  You can use either a literal string, or a special pattern `{facet:ATTRIBUTE}`, where `ATTRIBUTE` is a facet name. The rule is triggered if the query matches the literal string or a value of the specified facet. For example, with `pattern: {facet:genre}`, the rule is triggered when users search for a genre, such as \"comedy\". "
                  },
                  "anchoring": {
                    "type": "string",
                    "description": "Which part of the search query the pattern should match:  - `startsWith`. The pattern must match the beginning of the query. - `endsWith`. The pattern must match the end of the query. - `is`. The pattern must match the query exactly. - `contains`. The pattern must match anywhere in the query.  Empty queries are only allowed as patterns with `anchoring: is`. "
                  },
                  "alternatives": {
                    "type": "boolean",
                    "description": "Whether the pattern should match plurals, synonyms, and typos."
                  },
                  "context": {
                    "type": "string",
                    "description": "An additional restriction that only triggers the rule, when the search has the same value as `ruleContexts` parameter. For example, if `context: mobile`, the rule is only triggered when the search request has a matching `ruleContexts: mobile`. A rule context must only contain alphanumeric characters. "
                  },
                  "filters": {
                    "type": "string",
                    "description": "Filters that trigger the rule.  You can add filters using the syntax `facet:value` so that the rule is triggered, when the specific filter is selected. You can use `filters` on its own or combine it with the `pattern` parameter. You can't combine multiple filters with `OR` and you can't use numeric filters. "
                  }
                }
              },
              "description": "Conditions that trigger a rule.  Some consequences require specific conditions or don't require any condition. For more information, see [Conditions](https://www.algolia.com/doc/guides/managing-results/rules/rules-overview/#conditions)."
            },
            "consequence": {
              "type": "object",
              "description": "Effect of the rule.  For more information, see [Consequences](https://www.algolia.com/doc/guides/managing-results/rules/rules-overview/#consequences)."
            },
            "description": {
              "type": "string",
              "description": "Description of the rule's purpose to help you distinguish between different rules."
            },
            "enabled": {
              "type": "boolean",
              "description": "Whether the rule is active."
            },
            "validity": {
              "type": "array",
              "items": {
[...]
